.strategy-block {
    margin: 0 8px;
    padding: 20px 16px 8px 16px;
    border-radius: 8px;
    transition: all 0.3s ease;
}
.strategy-block:hover {
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.3);
    background: rgba(255, 255, 255, 0.5);
}

.strategy-block.cases {
    border-left: 2px solid var(--border-color);
}
.strategy-block.induction {
    background: var(--induction-color-background);
    border-left: 2px solid var(--induction-color);
}
.strategy-block.contradiction {
    background: var(--contradiction-color-background);
    border-left: 2px solid var(--contradiction-color);
}

.tag.cases {
    color: var(--cases-color);
    border: 1px solid var(--cases-color-light);
    margin-bottom: 12px;
}
.tag.induction {
    color: var(--induction-color);
    border: 1px solid var(--induction-color-light);
    margin-bottom: 12px;
}
.tag.contradiction {
    color: var(--contradiction-color);
    border: 1px solid var(--contradiction-color-light);
    margin-bottom: 12px;
}